# Enum HttpClientType

java.lang.Object
java.lang.Enum<HttpClientType>
com.databricks.jdbc.common.HttpClientType

All Implemented Interfaces:
  `Serializable`, `Comparable<HttpClientType>`, `java.lang.constant.Constable`

public enum HttpClientType extends Enum<HttpClientType>
Enumerates the types of HTTP clients supported by the Databricks JDBC driver.

This enum defines the available HTTP client implementations that can be used for making HTTP requests to Databricks services.

## Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COMMON`
Standard HTTP client implementation for general-purpose requests.
`VOLUME`
Specialized HTTP client implementation optimized for UC volume operations.

## Method Summary

Modifier and Type
Method
Description
`static HttpClientType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static HttpClientType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### COMMON

public static final HttpClientType COMMON
Standard HTTP client implementation for general-purpose requests.

### VOLUME

public static final HttpClientType VOLUME
Specialized HTTP client implementation optimized for UC volume operations.

## Method Details

### values

public static HttpClientType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static HttpClientType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null